de.vc.io.rtf.parser

## Class DocumentHandler

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler
  - - de.vc.io.rtf.parser.DefaultTokenHandler
    - - de.vc.io.rtf.parser.DocumentHandler

- All Implemented Interfaces:
    StateLeavedListener

      public class DocumentHandler
      extends DefaultTokenHandler
      implements StateLeavedListener

  Title:

  Description:

  Copyright: Copyright (c) 2005

  Company:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TRACK_CHANGES_SHOW_CHANGES`
    `static int` | `TRACK_CHANGES_SHOW_FINAL`
    `static int` | `TRACK_CHANGES_SHOW_ORIGINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentHandler(Definitions definitions, TokenInput input, org.apache.commons.logging.Log logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentBuilder` | `getDocumentBuilder()`
    `protected org.apache.commons.logging.Log` | `getLogger()`
    `int` | `getTrackChangesPolicy()`
    `protected void` | `handleOptionalHyphen(Token t)`
    `boolean` | `handleText(java.lang.String text, ParserState state)`
    `void` | `setDocumentBuilder(DocumentBuilder db)`
    `void` | `setTrackChangesPolicy(int trackChangesPolicy)`
    `void` | `stateClosed(ParserState state, int code)` Invoked if a state is about to close.

    - ### Methods inherited from class de.vc.io.rtf.parser.DefaultTokenHandler

      `getCurrentProperties, getParserState, getTokenInput, handleBraceClosed, handleBraceOpened, handleControl, readTextBytes, readTextOnly, skipCurrentLevel`

    - ### Methods inherited from class de.vc.io.rtf.parser.TokenHandler

      `getDefaultEncoding, getDefinitions, getTextEncoding, handleText, handleToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRACK_CHANGES_SHOW_ORIGINAL

          public static final int TRACK_CHANGES_SHOW_ORIGINAL

      See Also:
        Constant Field Values

    - #### TRACK_CHANGES_SHOW_CHANGES

          public static final int TRACK_CHANGES_SHOW_CHANGES

      See Also:
        Constant Field Values

    - #### TRACK_CHANGES_SHOW_FINAL

          public static final int TRACK_CHANGES_SHOW_FINAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocumentHandler

          public DocumentHandler(Definitions definitions,
                         TokenInput input,
                         org.apache.commons.logging.Log logger)

  - ### Method Detail

    - #### setDocumentBuilder

          public void setDocumentBuilder(DocumentBuilder db)

    - #### getDocumentBuilder

          public DocumentBuilder getDocumentBuilder()

    - #### stateClosed

          public void stateClosed(ParserState state,
                         int code)

      Description copied from interface: `StateLeavedListener`
      Invoked if a state is about to close.
      Specified by:
        `stateClosed` in interface `StateLeavedListener`
      Parameters:
        `state` - State that is closed.
        `code` - int

    - #### handleText

          public boolean handleText(java.lang.String text,
                           ParserState state)

      Overrides:
        `handleText` in class `DefaultTokenHandler`

    - #### getLogger

          protected org.apache.commons.logging.Log getLogger()

    - #### handleOptionalHyphen

          protected void handleOptionalHyphen(Token t)

      Overrides:
        `handleOptionalHyphen` in class `TokenHandler`

    - #### getTrackChangesPolicy

          public int getTrackChangesPolicy()

    - #### setTrackChangesPolicy

          public void setTrackChangesPolicy(int trackChangesPolicy)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.